"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.syncEditorData = exports.WebhookIdentityType = exports.SchemaScope = exports.FieldType = void 0;
const transform_error_1 = require("@wix/sdk-runtime/transform-error");
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const ambassadorWixMultilingualGenericconverterV1EntityMapper = __importStar(require("./multilingual-genericconverter-v1-entity-mapper-entity-mapper.http.js"));
var FieldType;
(function (FieldType) {
    /** Undefined field type */
    FieldType["UNDEFINED_TYPE"] = "UNDEFINED_TYPE";
    /** Short text TEXT */
    FieldType["SHORT_TEXT"] = "SHORT_TEXT";
    /** Long Plain Text TEXT */
    FieldType["LONG_TEXT"] = "LONG_TEXT";
    /** Long text including styles, images, links and more... HTML */
    FieldType["RICH_TEXT"] = "RICH_TEXT";
    /** Wix Rich-Content-Editor format RICO */
    FieldType["RICH_CONTENT_EDITOR"] = "RICH_CONTENT_EDITOR";
    /** Choose one from many options CSV TEXT */
    FieldType["SELECTION"] = "SELECTION";
    /** Choose multi items from many options */
    FieldType["MULTI_SELECTION"] = "MULTI_SELECTION";
    /** Wix document media item */
    FieldType["DOCUMENT"] = "DOCUMENT";
    /** Wix Image media item */
    FieldType["IMAGE"] = "IMAGE";
    /** Wix Video media item */
    FieldType["VIDEO"] = "VIDEO";
    /** Image URL without metadata */
    FieldType["IMAGE_LINK"] = "IMAGE_LINK";
})(FieldType || (exports.FieldType = FieldType = {}));
var SchemaScope;
(function (SchemaScope) {
    /** Global schema, relevant to all sites */
    SchemaScope["GLOBAL"] = "GLOBAL";
    /** Site schema, relevant to specific site only */
    SchemaScope["SITE"] = "SITE";
})(SchemaScope || (exports.SchemaScope = SchemaScope = {}));
var WebhookIdentityType;
(function (WebhookIdentityType) {
    WebhookIdentityType["UNKNOWN"] = "UNKNOWN";
    WebhookIdentityType["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
    WebhookIdentityType["MEMBER"] = "MEMBER";
    WebhookIdentityType["WIX_USER"] = "WIX_USER";
    WebhookIdentityType["APP"] = "APP";
})(WebhookIdentityType || (exports.WebhookIdentityType = WebhookIdentityType = {}));
/**
 * Update localization content with editor data
 * @public
 * @documentationMaturity preview
 * @permissionId WIX_MULTILINGUAL.TRANSLATE_APPS
 * @fqn wix.multilingual.editoradapter.v1.EditorAdapter.SyncEditorData
 */
async function syncEditorData(options) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[1];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({
        syncFilter: options?.syncFilter,
    });
    const reqOpts = ambassadorWixMultilingualGenericconverterV1EntityMapper.syncEditorData(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: { syncFilter: '$[0].syncFilter' },
            singleArgumentUnchanged: false,
        }, ['options']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.syncEditorData = syncEditorData;
//# sourceMappingURL=multilingual-genericconverter-v1-entity-mapper-entity-mapper.universal.js.map