import { toURLSearchParams } from '@wix/sdk-runtime/rest-modules';
import { resolveUrl } from '@wix/sdk-runtime/rest-modules';
function resolveWixMultilingualEditoradapterV1EditorAdapterUrl(opts) {
    const domainToMappings = {
        'manage._base_domain_': [
            {
                srcPath: '/_api/editoradapter/v1/component-mapper',
                destPath: '/v1',
            },
        ],
    };
    return resolveUrl(Object.assign(opts, { domainToMappings }));
}
const PACKAGE_NAME = '@wix/multilingual_entity-mapper';
/** Update localization content with editor data */
export function syncEditorData(payload) {
    function __syncEditorData({ host }) {
        const metadata = {
            entityFqdn: 'wix.multilingual.genericconverter.v1.entity_mapper',
            method: 'GET',
            methodFqn: 'wix.multilingual.editoradapter.v1.EditorAdapter.SyncEditorData',
            packageName: PACKAGE_NAME,
            url: resolveWixMultilingualEditoradapterV1EditorAdapterUrl({
                protoPath: '/v1/pull_data',
                data: payload,
                host,
            }),
            params: toURLSearchParams(payload),
        };
        return metadata;
    }
    return __syncEditorData;
}
//# sourceMappingURL=multilingual-genericconverter-v1-entity-mapper-entity-mapper.http.js.map